## ros-one-turtle-tf2 0.2.4-0jammy.20251023.0949

=== debian/changelog ===
ros-one-turtle-tf2 (0.2.4-0jammy.20251023.0949) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Denis Štogl <denis.stogl@mailbox.org>  Thu, 23 Oct 2025 09:49:45 +0000

ros-one-turtle-tf2 (0.2.4-0jammy) jammy; urgency=high

  * Do away with boost::bind (#86 <https://github.com/ros/geometry_tutorials/issues/86>)
  * Contributors: Michael Görner

 -- Denis Štogl <denis.stogl@mailbox.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-turtle-tf2 (0.2.3-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#29 <https://github.com/ros/geometry_tutorials//issues/29>)
  * Unify tf2 frame broadcasters (#27 <https://github.com/ros/geometry_tutorials//issues/27>)
  * Merge pull request #26 <https://github.com/ros/geometry_tutorials//issues/26> from jwhendy/tutorial-node-name-fix
  * updated node names in all tf and tf2 nodes/.py files to match filenames for simplicity
  * Merge pull request #24 <https://github.com/ros/geometry_tutorials//issues/24> from vincentrou/message_filter_tutorial
  * Merge pull request #23 <https://github.com/ros/geometry_tutorials//issues/23> from vincentrou/fix_frame_name
  * [turtle_tf2] Do not use pointer for MessageFilter
  * [turtle_tf2] Add message filter tutorial
  * [turtle_tf2] Fix frame name
  * Contributors: Alejandro Hernández Cordero, John Henderson, John Hendy, Tully Foote, Vincent Rousseau

 -- Denis Štogl <denis.stogl@mailbox.org>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-turtle-tf2 (0.2.2-0jammy) jammy; urgency=high

  * homogenizing install rules and script locations with older versions
  * remove old roslib invocations
  * Contributors: Tully Foote

 -- Denis Štogl <denis.stogl@mailbox.org>  Tue, 03 Mar 2015 00:00:00 -0000

ros-one-turtle-tf2 (0.2.1-0jammy) jammy; urgency=high

  * fixing install rules for turtle_tf2 fixes #15 <https://github.com/ros/geometry_tutorials/issues/15>
  * adding cpp launcher for testing
  * fixing exceptions and making turtle name a parameter
  * Removed debug-output
  * Added launch files for cpp example and cpp code update to work
  * Ingnoring exceptions from lookup_transform
  * Errors corrected after testing
  * parameterize turtlename and fix theta setting, yaw not roll
  * fix frame_id names and don't execute on error
  * Added new tutorial for tf2
  * Contributors: Denis Štogl, Tully Foote

 -- Denis Štogl <denis.stogl@mailbox.org>  Wed, 17 Dec 2014 00:00:00 -0000

ros-one-turtle-tf2 (0.2.0-0jammy) jammy; urgency=high



 -- Denis Štogl <denis.stogl@mailbox.org>  Fri, 28 Jun 2013 00:00:00 -0000

## ros-one-turtle-tf2 0.2.4-0jammy.20251207.2230

=== debian/changelog ===
ros-one-turtle-tf2 (0.2.4-0jammy.20251207.2230) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Denis Štogl <denis.stogl@mailbox.org>  Sun, 07 Dec 2025 22:30:10 +0000

## ros-one-turtle-tf2 0.2.4-0jammy.20260221.2124

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(turtle_tf2)
## Find dependencies
find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  roscpp
  rospy
  std_msgs
  tf2
  tf2_ros
  tf2_geometry_msgs
  turtlesim
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES turtle_tf2
 CATKIN_DEPENDS geometry_msgs roscpp rospy std_msgs tf2 tf2_ros
#  DEPENDS system_lib
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
)

## C++ examples
add_executable(turtle_tf2_broadcaster src/turtle_tf2_broadcaster.cpp)
target_link_libraries(turtle_tf2_broadcaster ${catkin_LIBRARIES})
if(catkin_EXPORTED_TARGETS)
  add_dependencies(turtle_tf2_broadcaster ${catkin_EXPORTED_TARGETS})
endif()

add_executable(turtle_tf2_listener src/turtle_tf2_listener.cpp)
target_link_libraries(turtle_tf2_listener ${catkin_LIBRARIES})
if(catkin_EXPORTED_TARGETS)
  add_dependencies(turtle_tf2_listener ${catkin_EXPORTED_TARGETS})
endif()

add_executable(turtle_tf2_message_filter src/message_filter.cpp)
target_link_libraries(turtle_tf2_message_filter ${catkin_LIBRARIES})

## Install Python Examples
install(PROGRAMS
  nodes/dynamic_tf2_broadcaster.py
  nodes/fixed_tf2_broadcaster.py
  nodes/turtle_tf2_broadcaster.py
  nodes/turtle_tf2_listener.py
  nodes/turtle_tf2_listener_wait.py
  nodes/turtle_tf2_message_broadcaster.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Install C++ Examples
install(TARGETS turtle_tf2_broadcaster turtle_tf2_listener
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Install Other Resources
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-turtle-tf2 (0.2.4-0jammy.20260221.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Denis Štogl <denis.stogl@mailbox.org>  Sat, 21 Feb 2026 21:24:10 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-turtle-tf2//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-turtle-tf2 0.2.4-0noble.20250601.2209

=== debian/changelog ===
ros-one-turtle-tf2 (0.2.4-0noble.20250601.2209) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- Denis Štogl <denis.stogl@mailbox.org>  Sun, 01 Jun 2025 22:09:12 +0000

ros-one-turtle-tf2 (0.2.4-0noble) noble; urgency=high

  * Do away with boost::bind (#86 <https://github.com/ros/geometry_tutorials/issues/86>)
  * Contributors: Michael Görner

 -- Denis Štogl <denis.stogl@mailbox.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-turtle-tf2 (0.2.3-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#29 <https://github.com/ros/geometry_tutorials//issues/29>)
  * Unify tf2 frame broadcasters (#27 <https://github.com/ros/geometry_tutorials//issues/27>)
  * Merge pull request #26 <https://github.com/ros/geometry_tutorials//issues/26> from jwhendy/tutorial-node-name-fix
  * updated node names in all tf and tf2 nodes/.py files to match filenames for simplicity
  * Merge pull request #24 <https://github.com/ros/geometry_tutorials//issues/24> from vincentrou/message_filter_tutorial
  * Merge pull request #23 <https://github.com/ros/geometry_tutorials//issues/23> from vincentrou/fix_frame_name
  * [turtle_tf2] Do not use pointer for MessageFilter
  * [turtle_tf2] Add message filter tutorial
  * [turtle_tf2] Fix frame name
  * Contributors: Alejandro Hernández Cordero, John Henderson, John Hendy, Tully Foote, Vincent Rousseau

 -- Denis Štogl <denis.stogl@mailbox.org>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-turtle-tf2 (0.2.2-0noble) noble; urgency=high

  * homogenizing install rules and script locations with older versions
  * remove old roslib invocations
  * Contributors: Tully Foote

 -- Denis Štogl <denis.stogl@mailbox.org>  Tue, 03 Mar 2015 00:00:00 -0000

ros-one-turtle-tf2 (0.2.1-0noble) noble; urgency=high

  * fixing install rules for turtle_tf2 fixes #15 <https://github.com/ros/geometry_tutorials/issues/15>
  * adding cpp launcher for testing
  * fixing exceptions and making turtle name a parameter
  * Removed debug-output
  * Added launch files for cpp example and cpp code update to work
  * Ingnoring exceptions from lookup_transform
  * Errors corrected after testing
  * parameterize turtlename and fix theta setting, yaw not roll
  * fix frame_id names and don't execute on error
  * Added new tutorial for tf2
  * Contributors: Denis Štogl, Tully Foote

 -- Denis Štogl <denis.stogl@mailbox.org>  Wed, 17 Dec 2014 00:00:00 -0000

ros-one-turtle-tf2 (0.2.0-0noble) noble; urgency=high



 -- Denis Štogl <denis.stogl@mailbox.org>  Fri, 28 Jun 2013 00:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
 	dh_auto_configure -- \
-		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/one" \

## ros-one-turtle-tf2 0.2.4-0noble.20251023.1003

=== debian/changelog ===
ros-one-turtle-tf2 (0.2.4-0noble.20251023.1003) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Denis Štogl <denis.stogl@mailbox.org>  Thu, 23 Oct 2025 10:03:48 +0000

## ros-one-turtle-tf2 0.2.4-0noble.20251208.0925

=== debian/changelog ===
ros-one-turtle-tf2 (0.2.4-0noble.20251208.0925) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Denis Štogl <denis.stogl@mailbox.org>  Mon, 08 Dec 2025 09:25:14 +0000

## ros-one-turtle-tf2 0.2.4-0noble.20260221.2210

=== debian/changelog ===
ros-one-turtle-tf2 (0.2.4-0noble.20260221.2210) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Denis Štogl <denis.stogl@mailbox.org>  Sat, 21 Feb 2026 22:10:50 +0000

=== debian/control ===
Source: ros-one-turtle-tf2
Section: misc
Priority: optional
Maintainer: Denis Štogl <denis.stogl@mailbox.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-turtlesim
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-turtle-tf2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-turtlesim
Description: turtle_tf2 demonstrates how to write a tf2 broadcaster and listener with the turtlesim.
 The tutle_tf2_listener commands turtle2 to follow turtle1 around as you drive turtle1 using the keyboard.
